stages:
  - build
  - deploy

build:
  stage: build
  tags:
    - docker
  image: maven:3.6.3-openjdk-14
  script:
    - mvn clean package
  artifacts:
    paths:
      - target/vospace-parent*.jar
      - parent-pom.xml
      - pom.xml
    expire_in: 7 days
  only:
    - master

deploy:
  stage: deploy
  tags:
    - docker
  script:
    - mvn -f parent-pom.xml deploy:deploy-file
        -Dfile=parent-pom.xml
        -DrepositoryId=ia2.snapshots
        -DpomFile=parent-pom.xml
        -Durl=${IA2_MVN_REPO_SNAPSHOTS}
    - file=$(ls target/vospace-parent*.jar)
    - mvn deploy:deploy-file
        -Dfile=$file
        -DrepositoryId=ia2.snapshots
        -DpomFile=pom.xml
        -Durl=${IA2_MVN_REPO_SNAPSHOTS}
  only:
    - master
